Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/13/2024 in all areas

  1. Just write down what you do now manually, that is the basics of your lisp code. The steps have to be in lisp code format. You can use Logfileon to record the manual steps, logfileoff to turn off logfile, the Log file is stored in your temporary directory path, look at Options, FIle, temporary path for location.
    2 points
  2. 2 comments using vl-get-coordinates will get the co-ordinates of either a 2d or 3d poly it is a single list of all values you can then convert to a 2d or 3d list based on object type. The other is if you say "put at vertice 2" it may put block at opposite end than what you thought was vertice 2 as the direction of the pline has not been considered, a solution is to select pline near an end for open plines you can then work out a pline direction.
    1 point
  3. (defun c:11 (/ *error* actdoc obj ent blk name vert pt) (defun *error* (msg) (vla-regen adoc acactiveviewport) (vla-endundomark adoc) (princ msg) (princ) ) (vl-load-com) (setvar "DYNMODE" 1) (setq actdoc (vla-get-ActiveDocument (vlax-get-acad-object)) obj (vla-get-ModelSpace actdoc) ) (setq ent (car (entsel "Select Polyline >")) blk (vlax-ename->vla-object (car (entsel "Select Block >"))) name (vla-get-EffectiveName blk) vert (1- (getint "Vertex number?")) pt (vlax-curve-getPointAtParam ent vert) ) (vla-InsertBlock obj (vlax-3D-point pt) name 1 1 1 0) )
    1 point
  4. Yeah almost forgot my keys after 16 years, oh yeah keyhole viewport.
    1 point
×
×
  • Create New...